Subject: Re: Pre-compiled X11R6.3 libraries available
From: [email-masked] (Arlindo da Silva)

21 Apr 1997 09:35:59 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Christian Soeller)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Christian Soeller" at Apr 21, 97 11:59:27 am
X-Mailer: ELM [version 2.4 PL21]
Original-Sender: [email-masked]

Christian,

> 
> I tried the combination of X11R6.3 + MI Xserver under cygwin32 and it works
> nicely. However, trying it on my win95 laptop which doesn't have a network
> interface nor *any* network protocols support installed I always get
> 'can't open display' with all DISPLAY settings I have tried so far
> (localhost:0.0 , DEFAULT:0.0, 0.0, etc).
> 
> I presume you need at least TCP/IP support even if you don't have an interface
> since the open display command probably internally tries to get a socket
> which will always fail when *no* network protocols are installed ?
> 
> I'd appreciate if any body could confirm this diagnose or point out
> alternative reasons why the open display fails.
> 

It makes sense, you need minimum TCP/IP support, you must have the compact installation which has no network support. Try installing the "Dialup Network"
component of Windows 95 (this is what I have installed). The steps are something
like this:

Click on "My Conmputer"
Click on "Control Panel"
Click on "Add/Remove Programs"
Click on "Windows Setup"
Click on "Communications"
Click on "Dialup network"

Click on OK's along the way and have your Win95 CDOM/diskettes ready.

  Good Luck,

        Arlindo.

-- 

   *-----------------------------------------------------------------*
   |                                                                 |
   |             ^|^                     ARLINDO DA SILVA            |
   |              |                     212 Lexington Drive          |
   |             _|_                  Silver Spring, MD 20901        |
   |      @  ___|___|__                                              |
   |     _|_|__________|_______/    mailto://[email-masked]    |
   |    \  o o o o o o o  /                                          |
   |     \_______________/            Home: (301) 754-1121           |
   |  ^^^^^^^^^^^^^^^^^^^^^^^^         FAX: (301) 805-7959           |
   |                                                                 |
   *-----------------------------------------------------------------*

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".